Page MenuHomeFreeBSD

Move all devd related configs to sbin/devd/
ClosedPublic

Authored by brd on Aug 18 2018, 9:50 AM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

brd created this revision.Aug 18 2018, 9:50 AM
brd updated this revision to Diff 46880.Aug 18 2018, 10:13 AM

Remove an extra file that snuck in

imp added inline comments.Aug 18 2018, 2:07 PM
etc/Makefile
179 ↗(On Diff #46880)

this whole thing is unrelated.

sbin/devd/Makefile
11 ↗(On Diff #46880)

this is wrong. Extra .if.

However, it's also bogus for devmatch.conf: that should be installed everywhere.

will requested changes to this revision.Aug 18 2018, 9:23 PM
will added inline comments.
etc/Makefile
179 ↗(On Diff #46880)

I agree, this section removal belongs to another commit.

sbin/devd/Makefile
11 ↗(On Diff #46880)

Agree. I'm not seeing the corresponding deletes, so I'm guessing the commit was meant to include a different etc/Makefile.

This revision now requires changes to proceed.Aug 18 2018, 9:23 PM
brd added inline comments.Aug 18 2018, 11:05 PM
etc/Makefile
179 ↗(On Diff #46880)

Opps, yeah, I thought my tree was clean, obviously not. Will update.

brd updated this revision to Diff 46912.Aug 18 2018, 11:15 PM

Update with right etc/Makefile changes

brd marked 3 inline comments as done.Aug 18 2018, 11:15 PM
brd updated this revision to Diff 46913.Aug 18 2018, 11:20 PM

Address @imp feedback

will added inline comments.Aug 19 2018, 8:44 AM
sbin/devd/Makefile
10 ↗(On Diff #46913)

I think you mean /etc/devd? You've tested this?

brd updated this revision to Diff 46953.Aug 20 2018, 1:56 AM

Fix a few typos after real testing

brd marked an inline comment as done.Aug 20 2018, 1:58 AM
brd added inline comments.
sbin/devd/Makefile
10 ↗(On Diff #46913)

I have now that I am back and fixed my build box.

brd marked 4 inline comments as done.Aug 20 2018, 3:08 AM
brd added a reviewer: imp.Aug 20 2018, 3:28 AM
will accepted this revision.Aug 21 2018, 2:06 AM
This revision is now accepted and ready to land.Aug 21 2018, 2:06 AM
imp added inline comments.Aug 21 2018, 3:27 AM
sbin/devd/Makefile
11 ↗(On Diff #46953)

Do we really need this? HYPERV is only true here. And ACPI is also true on arm64. the asus.conf is valid there IMHO.

24 ↗(On Diff #46953)

It would be better to use MACHINE_CPUARCH here... This is userland, so keying off the kernel arch ($MACHINE) is not right.

brd updated this revision to Diff 47044.Aug 21 2018, 4:07 PM

Address @imp feedback

This revision now requires review to proceed.Aug 21 2018, 4:07 PM
brd marked 2 inline comments as done.Aug 21 2018, 4:08 PM
imp accepted this revision.Aug 21 2018, 4:19 PM
This revision is now accepted and ready to land.Aug 21 2018, 4:19 PM
This revision was automatically updated to reflect the committed changes.